LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XFormComponentValidityListener Interface Reference

is the listener interface to be notified of changes of a XValidatableFormComponent More...

`import"XFormComponentValidityListener.idl";`

Inheritance diagram for XFormComponentValidityListener:

## Public Member Functions
void | componentValidityChanged ([in] com::sun::star::lang::EventObject Source)
| called when the validity and/or the value of the form component at which the listener is registered changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the listener interface to be notified of changes of a XValidatableFormComponent

## Member Function Documentation

## ◆ componentValidityChanged()

void componentValidityChanged | ( | [in] com::sun::star::lang::EventObject | Source | ) |

called when the validity and/or the value of the form component at which the listener is registered changed.

Parameters

  Source | The member com::sun::star::lang::EventObject::Source represents the XValidatableFormComponent whose validity, value, or text changed.

The documentation for this interface was generated from the following file:

- com/sun/star/form/validation/XFormComponentValidityListener.idl